## xalan 1.10

=== c/Projects/Win32/Makefile ===
--- 
+++ 
@@ -52,12 +52,7 @@
 BUILD_DEBUG=build_debug
 !ENDIF
 
-!IF "$(PROJECT_NAME)"=="xalan-c"
 MSGLIB_PREFIX=XalanMessages
-!ELSE
-MSGLIB_PREFIX=xslt4cMessages
-!ENDIF
-
 
 !IF "$(PROJECT_NAME)"!="xalan-c" 
 ICUTARGET=icu
@@ -116,7 +111,6 @@
                   $(XSL_BIN_DEST)\bin\UseStylesheetParam.exe \
                   $(XSL_BIN_DEST)\bin\XalanTransform.exe \
                   $(XSL_BIN_DEST)\bin\XalanTransformerCallback.exe \
-                  $(XSL_BIN_DEST)\bin\XPathWrapper.exe \
 				  $(XSL_BIN_DEST)\bin\ThreadSafe.exe \
 				  $(XSL_BIN_DEST)\bin\Xalan.exe
 
@@ -135,7 +129,6 @@
 				$(XSL_BIN_DEST)\samples\UseStylesheetParam 		\
 				$(XSL_BIN_DEST)\samples\XalanTransform 			\
 				$(XSL_BIN_DEST)\samples\XalanTransformerCallback \
-				$(XSL_BIN_DEST)\samples\XPathWrapper 			\
 				$(XSL_BIN_DEST)\samples\ThreadSafe 							
 
 SAMPLE_PROJ= $(XSL_BIN_DEST)\samples\Projects
@@ -177,7 +170,8 @@
 	$(COPY) $(XALANCROOT)\src\xalanc\XPath\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XPath
 	$(COPY) $(XALANCROOT)\src\xalanc\XPathCAPI\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XPathCAPI
 	$(COPY) $(XALANCROOT)\src\xalanc\XSLT\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XSLT
-		
+	$(COPY) $(BIN_SRC_DIR)\Nls\Include\LocalMsgIndex.hpp $(XSL_BIN_DEST)\include\xalanc\PlatformSupport
+			
 icu:
 	$(COPY) $(ICULIB_DLL) $(XSL_BIN_DEST)\bin
 
@@ -216,5 +210,5 @@
 
 	
 build_debug:
-	$(MAKE) XALANCROOT=$(XALANCROOT) prefix=$(prefix) INSTALL_MODE=Debug PACKAGE_NAME=$(PACKAGE_NAME) libs
-
+	$(MAKE) XALANCROOT=$(XALANCROOT) prefix=$(prefix) INSTALL_MODE=Debug PACKAGE_NAME=$(PACKAGE_NAME) libs COPY="$(COPY)" IDE_VER=$(IDE_VER)
+
