=== debian/changelog ===
xalan (1.10-6) unstable; urgency=low

  * QA upload.
  * Disable building in parallel; upstream makefile is not parallel-safe after
    all.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 10 Nov 2011 11:27:38 +0100

xalan (1.10-5) unstable; urgency=low

  * QA upload.
  * Add ${misc:Depends}.
  * Add build-arch and build-indep targets.
  * Move doxygen to Build-Depends-Indep. Build documentation only if it's
    installed.
  * Remove duplicate Section field from debian/control.
  * Bump standards version to 3.9.2 (no changes needed).
  * Bump debhelper compatiblity level to 8.
    + Update Build-Depends.
    + Use dh_prep instead of dh_clean -k.
  * Convert to source format 3.0 (quilt).
    + Add debian/source/format.
    + Split monolithic *.diff.gz into separate patches.
    + Undo the following changes that are no longer needed:
      - use of xalan-config.h;
      - changes related to mod_xslt;
      - files from 1.8 upstream tarball that are no longer present in 1.10
        upstream tarball.
  * Update config.{guess,sub} unconditionally. Actually remove them in the
    clean target.
  * Bump shlibs to >= 1.10-3.3 (closes: #482174). Thanks to Tommi Vainikainen
    and Michael Meskes for the bug report.
  * Improve debian/rules:
    + Remove commented-out commands.
    + Use $(CURDIR) instead of $(shell pwd) in debian/rules.
    + Pass CFLAGS, CXXFLAGS, CPPFLAGS and LDFLAGS (acquired from
      dpkg-buildflags) to the configure script.
    + Pass --build (and --host if cross-compiling) to the configure script.
    + Pass -a to most dh_* commands is binary-arch.
    + Add support for DEB_BUILD_OPTIONS=noopt.
    + Add support for DEB_BUILD_OPTIONS=parallel=n.
    + Remove unused variables.
  * Remove obsolete Conflicts/Replaces.
  * Multi-archify:
    + Bump minimum required version of dpkg-dev to 1.16.
    + Bump minimum required version of debhelper to 8.1.3.
    + Make xalan ‘Multi-Arch: foreign’.
    + Install shared libraries to /usr/lib/$(DEB_HOST_MULTIARCH) rather than
      /usr/lib.
    + Make libxalan110 and libxalan110-dev ‘Multi-Arch: same’.
    + Add ‘Pre-Depends: ${misc:Pre-Depends}’ to libxalan110.
  * Fix FTBFS with ld --as-needed (closes: #641289). Thanks to Matthias Klose
    for the bug report and the patch.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 10 Nov 2011 00:58:47 +0100

xalan (1.10-4) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Acknowledge NMUs.
  * Add ${misc:Depends}.
  * Replace deprecated ${Source-Version} with ${binary:Version}.
  * Add watch file.
  * Add Homepage.
  * Remove full Apache license text from debian/copyright.
  * Actually install man page.
  * Copy in config.{guess,sub} on configure, rm them on clean.
    + Add autotools-dev build-dep.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.0.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 02 Feb 2009 21:02:06 -0500

xalan (1.10-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Change build dependency from libxerces27-dev to libxerces-c2-dev
    (closes: #479194)

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 09 May 2008 18:37:51 -0400

xalan (1.10-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #454820).

 -- Luk Claes <luk@debian.org>  Sun, 16 Mar 2008 15:25:52 +0000

xalan (1.10-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove dependency on libapache-dev and drop libapache-mod-xslt.
    Closes: #429653

 -- Andreas Barth <aba@not.so.argh.org>  Sat, 21 Jul 2007 09:10:09 +0000

xalan (1.10-3) unstable; urgency=low

  * Copy generated file LocalMsgIndex into development package
    (closes: #355735)

 -- Berin Lautenbach <berin@debian.org>  Sat, 11 Mar 2006 11:09:00 +1100

xalan (1.10-2) unstable; urgency=low

  * Add patch for building under GNU/kFreeBSD from
    Petr Salinger (closes: #347196)
  * Update man pages to reflect changes in xalan executable parameters
  * Add patch provided by Eugeniy Meshcheryakov to correctly handle
    atan2 EXSLT function (closes: bug#351603)

 -- Berin Lautenbach <berin@debian.org>  Mon,  6 Feb 2006 21:08:00 +1100

xalan (1.10-1) unstable; urgency=low

  * New upstream release (closes: #315081)
  * Built against new g++ 4 (closes: bug#339279)
  * Linked to Xerces 2.7 (closes: bug#339396)

 -- Berin Lautenbach <berin@debian.org>  Sat,  7 Jan 2006 12:22:28 +1100

xalan (1.8-5) unstable; urgency=low

  * Build with g++ 4 (closes: bug#324178)
  * Build against Xerces 2.5c2 (g++ 4.0 version of Xerces with ICU)
  * Update xerces version dependency to reflect c2 version
  * Mark as conflictint with libapache-modxslt
	
 -- Berin Lautenbach <berin@debian.org>  Sun, 21 Aug 2005 17:03:00 +1000

xalan (1.8-4) unstable; urgency=low

  * Ensure builds with g++ 3.4 (closes: bug#276610)
	
 -- Berin Lautenbach <berin@debian.org>  Sat, 16 Oct 2004 20:00:00 +1000

xalan (1.8-3) unstable; urgency=low

  * Update doc-base file for version 1.8 (closes: bug#261628)
	
 -- Berin Lautenbach <berin@debian.org>  Wed, 28 Jul 2004 08:15:00 +1000

xalan (1.8-2) unstable; urgency=low

  * Fix typo in man page (closes: bug#253145)
  * Move dependency on Xerces to 2.5.0-2 as 2.5.0-1 has a bug that
    breaks builds on alpha and powerpc platforms
	
 -- Berin Lautenbach <berin@debian.org>  Tue,  6 Jul 2004 10:03:00 +1000

xalan (1.8-1) unstable; urgency=low

  * New upstream release
  * Update to use Xerces 2.5 (rather than 2.3)
  * Update copyright to include ASL 2.0 and removed ASL 1.1
	
 -- Berin Lautenbach <berin@debian.org>  Sat, 29 May 2004 11:29:18 +1000

xalan (1.6-3) unstable; urgency=low

  * Pass correct library flags to apxs for mod_xslt build (closes: bug#241363)
  * Fix section for -dev (devel should be libdevel)

 -- Berin Lautenbach <berin@debian.org>  Fri,  3 Apr 2004 13:30:00 +1000

xalan (1.6-2) unstable; urgency=low

  * Removed unnecessary dependencies from Build-Depends
  * Cleaned up descriptions of packages

