=== debian/control ===
Source: xalan
Priority: extra
Section: text
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8.1.3~), dpkg-dev (>= 1.16), autotools-dev, libxerces-c2-dev
Build-Depends-Indep: doxygen
Standards-Version: 3.9.2
Homepage: http://xml.apache.org/xalan-c/index.html

Package: libxalan110
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Provides XSLT support for applications
 This is the Xalan XSLT processor from the Apache Software Foundation.
 .
 This package provides the runtime library.

Package: libxalan110-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libxalan110 (= ${binary:Version}), libxerces-c2-dev, libc6-dev
Description: Provides XSLT support for applications [development]
 This is the Xalan XSLT processor from the Apache Software Foundation.
 .
 This package includes the files needed to compile XSLT supporting 
 applications.

Package: libxalan110-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libxalan110-dev
Description: Provides XSLT support for applications [development docs]
 This is the Xalan XSLT processor from the Apache Software Foundation.
 .
 This package contains the API documentation and programming reference.

Package: xalan
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XSLT processor
 This is the Xalan XSLT processor from the Apache Software Foundation.
 .
 This package provides a command line utility to process XML files 
 using an XSLT stylesheet
