=== debian/watch ===
version=3

opts="uversionmangle=s/_/\./g" \
http://www.hightechimpact.com/Apache/xml/xalan-c/Xalan-C_([\d_]+)-src\.tar\.gz
