## xalan 1.11

=== debian/changelog ===
xalan (1.11-9build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:11:50 +0100

xalan (1.11-9) unstable; urgency=medium

  * Add patch from Andreas Beckmann for building on Hurd (Closes: 884037)
  * Update standards-version to 4.2.1 (no changes)
  * Add gbp.conf
  * Update VCS URLs
  * Update maintainer email

 -- William Blough <bblough@debian.org>  Wed, 05 Dec 2018 11:31:57 -0500

xalan (1.11-8) unstable; urgency=medium

  * Move examples back to -doc package, fixing an unintented change
    in the previous package.

 -- William Blough <devel@blough.us>  Mon, 07 May 2018 22:17:20 -0400

xalan (1.11-7) unstable; urgency=medium

  * Add makefile dependencies to fix parallel builds. Closes: #849344
  * Upgrade to dh compat 11
  * Update to standards version 4.1.4
    - Update copyright format link to use https
  * Lintian fixes
    - Remove trailing whitespace from changelog
    - Switch d/watch to use https
    - Fix NOTICE file issues
    - Remove unused override

 -- William Blough <devel@blough.us>  Thu, 03 May 2018 00:59:32 -0400

xalan (1.11-6) unstable; urgency=medium

  * Update makefiles to honor CPPFLAGS
  * Remove lintian override for hardening flags
  * Update standards version to 3.9.8 (no changes)
  * Remove autotools-dev dependency due to using dh-autoreconf
  * Add bindnow hardening flag
  * Add lintian override for doxygen's copy of jquery
  * Build in release mode instead of debug mode.  This works around
    the assertion error reported in bug 783173.
  * Remove and symlink duplicate files in examples (lintian fix)

 -- William Blough <devel@blough.us>  Tue, 20 Dec 2016 03:23:16 -0500

xalan (1.11-5) unstable; urgency=low

  * Remove symbol control file due to problems with non amd64 builds.

 -- William Blough <devel@blough.us>  Mon, 20 Oct 2014 04:35:21 -0400

xalan (1.11-4) unstable; urgency=low

  * Apply upstream patch to fix segfault in xalan (testXSLT).
    Closes: #718303
  * Update Standards-Version to 3.9.6 (no changes needed)
  * Update compat to 9 and simplify debian/rules
  * Add symbol control file, pgp signature for tarball verification
  * Update debian/copyright to dep5
  * Remove unnecessary lintian override
  * Add lintian override for false positive

 -- William Blough <devel@blough.us>  Thu, 16 Oct 2014 23:10:27 -0400

xalan (1.11-3) unstable; urgency=low

  * Reworked fix-ftbfs-ld-as-needed patch to remove warning. Closes: #718605

 -- William Blough <devel@blough.us>  Fri, 02 Aug 2013 21:57:03 -0400

xalan (1.11-2) unstable; urgency=low

  * Include Xalan executable in package, in addition to the existing
    xalan (TestXSLT) executable, closes: #329639
  * Add man page for Xalan executable

  * Fix incorrect suggest in debian/control
  * Add copyright info for install-sh in debian/copyright
  * Add copyright info to xalan man page

  * Fix install conflicts due to package rename,
  * Adjust doc-base path for -doc package,
  * add Conflicts to debian/control for -dev package
  * closes: 716941

  * Add lintian override for typo false positive
  * Add additional description text for -doc package in debian/control

 -- William Blough <devel@blough.us>  Wed, 17 Jul 2013 15:14:37 -0400

xalan (1.11-1) unstable; urgency=low

  * New maintainer, closes: #503562
  * Add VCS URLs
  * Update Homepage URL
  * Update Standards-Version to 3.9.4
  * Update debian/copyright
  * Update debian/watch

  * New upstream release
  * Update SONAME and package name to reflect new version.
  * Update Xerces dependency from version 2.x to 3.x
  * Adjust doc install due to upstream changes
  * Update patch for doxygen-disable-dot to apply to new version
  * Update patch for 641289 (FTBFS with ld) to apply to new version
  * Update patch for 347196 (kFreeBSD support) to apply to new version
  * Remove patch for 454820 (FTBFS, missing includes) - changes applied
        upstream
  * Remove patch for 351603 (atan2 in EXSLT) - changes applied upstream
  * Remove patch for 85690 (printWriter wchar_t) - upstream code
        changes should eliminate issue

  * Always regenerate configure when building package
  * Fix lintian complaints about hypens in the man page
  * Change package names to comply with policy
  * Rewrite package descriptions
  * Remove versions from -doc and -dev package names
  * Fix typo errors in README


 -- William Blough <devel@blough.us>  Sun, 16 Jun 2013 13:54:33 -0400
