=== debian/rules ===
#!/usr/bin/make -f

export XALANCROOT=$(CURDIR)/c
export XALAN_LOCALE_SYSTEM=inmem
export XALAN_LOCALE=en_US

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

#build in release mode, not debug mode
export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG


%:
	dh $@ --sourcedirectory=$(XALANCROOT)

override_dh_auto_build-indep:
	mkdir -p $(XALANCROOT)/build/docs/apiDocs/html
	( cd $(XALANCROOT)/xdocs && doxygen DoxyfileXalan )
	cp $(XALANCROOT)/xdocs/html/apiDocs/asf_logo_wide.gif $(XALANCROOT)/build/docs/apiDocs/html/

override_dh_installexamples:
	chmod 644 $(XALANCROOT)/samples/configure.in
	dh_installexamples --doc-main-package=libxalan-c-doc -plibxalan-c-doc -XCVS -Xmod_xslt.o -XProjects/Win32 \
		-XTraceListen/birds.xml -XTraceListen/birds.xsl -XTransformToXercesDOM/birds.xml \
		-XSimpleTransform/foo.xml -XSimpleTransform/foo.xsl -XXalanTransformerCallback/foo.xsl \
		-XXalanTransformerCallback/foo.xml -XXPathWrapper/foo.xml $(XALANCROOT)/samples/*

override_dh_installdocs:
	dh_installdocs -A c/NOTICE

override_dh_clean:
	dh_clean
	rm -rf $(XALANCROOT)/build
