=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://www.apache.org/dist/xalan/xalan-c/sources/xalan_c-(\d.*)-src\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
